Create a webhook listener to receive notifications for subscribed topics. Add Webhook Topic Subscription endpoint must be used to subscribe to one or more topics.
Create Webhook Listener
post
/api/webhook-listeners Request
Body application/json
accountIdstringrequiredThe id of the partner account to add this Webhook Listener to.
urlstringrequiredThe URL to send webhook notifications to.
Response
Successful operation.
Body application/json
idstringrequiredWebhook Listener primary identifier.
accountIdstringrequiredPartner Account id.
urlstringrequiredThe URL to send webhook notifications to.
createdAtstringrequiredTimestamp of Webhook Listener creation.
statusstringrequiredAllowed values:activeinactiveStatus of the Webhook Listener.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
ACCOUNT_TYPE_INVALID accountType of the accountId is not of type PARTNER.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring